%global momorel 1

Summary:	CPU Frequency adjusting daemon.
Name:		cpuspeed
Version:	1.2.1
Release:	%{momorel}m
Group:		System Environment/Base
License:	GPL
Source0:	cpuspeed-%{version}.tar.gz
Source1:	cpuspeed.init
Buildroot:	%{_tmppath}/%{name}-%{version}-root
PreReq:		chkconfig initscripts
BuildPreReq: 	automake util-linux groff gettext
ExclusiveArch:	%{ix86} x86_64 ppc ppc64
Obsoletes:	kernel-utils

Patch1: warning.diff
Patch2: idlenice.diff
Patch3: nostrip.diff

%description
cpuspeed is a daemon that dynamically changes the speed
of your processor(s) depending upon its current workload
if it is capable (needs Intel Speedstep, AMD PowerNow!,
or similar support).

%prep
%setup -q -c -a 0

%patch1 -p0
%patch2 -p0
%patch3 -p0

%build
rm -rf %{buildroot}

mkdir -p %{buildroot}/usr/sbin
mkdir -p %{buildroot}/etc/init.d
mkdir -p %{buildroot}/etc/sysconfig

cd cpuspeed-%{version}
make CFLAGS="$RPM_OPT_FLAGS -fpie -pie -Wl,-z,relro,-z,now"
cd ..

%install
cd cpuspeed-%{version}
install cpuspeed %{buildroot}/usr/sbin
install %{SOURCE1} %{buildroot}/etc/init.d/cpuspeed
install cpuspeed.conf %{buildroot}/etc/cpuspeed.conf
cd ..

chmod -R a-s %{buildroot}

%clean
[ "%{buildroot}" != "/" ] && [ -d %{buildroot} ] && rm -rf %{buildroot};

%files
%defattr(-,root,root)
/usr/sbin/cpuspeed
/etc/init.d/cpuspeed
%attr(0644,root,root) %config /etc/cpuspeed.conf

%preun
if [ "$1" = "0" ] ; then
 /sbin/chkconfig --del cpuspeed
fi

%post
/sbin/chkconfig --add cpuspeed

%triggerpostun -- kernel-utils
/sbin/chkconfig --add cpuspeed
exit 0

%changelog
* Sat May 20 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.2.1-1m)
- import from fc

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcj

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Nov 14 2005 Dave Jones <davej@redhat.com>
- Don't try and load acpi-cpufreq if we have no throttling states.

* Thu Sep 29 2005 Dave Jones <davej@redhat.com>
- On shutdown, restore speed to maximum before daemon exit.

* Fri Sep 23 2005 Dave Jones <davej@redhat.com>
- Use ACPI as a fallback driver if possible, if one didn't get loaded. (#160788)

* Mon May  9 2005 Dave Jones <davej@redhat.com>
- Fix debuginfo generation.

* Wed Apr  6 2005 Dave Jones <davej@redhat.com>
- Don't count nice time as idle time. (#132383)

* Tue Mar  1 2005 Dave Jones <davej@redhat.com>
- Rebuild for gcc4.

* Tue Feb  8 2005 Dave Jones <davej@redhat.com>
- Rebuild with -D_FORTIFY_SOURCE=2

* Fri Feb  4 2005 Dave Jones <davej@redhat.com>
- Enable builds for PPC (#147089)

* Tue Jan 11 2005 Dave Jones <davej@redhat.com>
- Add missing Obsoletes: kernel-utils

* Mon Jan 10 2005 Dave Jones <davej@redhat.com>
- Update to upstream 1.2.1 release.

* Sat Dec 18 2004 Dave Jones <davej@redhat.com>
- Initial packaging, split out from kernel-utils.

